From 668cb9911ac8112f31253d64793ea01aae2e627c Mon Sep 17 00:00:00 2001
From: Ricardo Lafuente <r@manufacturaindependente.org>
Date: Jan 22 2024 15:39:24 +0000
Subject: [PATCH 6/17] Add translate directive to Makefile


---

diff --git a/website/Makefile b/website/Makefile
index 04b93bd..976dc35 100644
--- a/website/Makefile
+++ b/website/Makefile
@@ -52,7 +52,10 @@ install:
 extract:
 	$(ACTIVATE); python extract_comments.py
 
-html: extract
+translate:
+	$(ACTIVATE); cd i18n; ./download.sh; ./translate_content.sh; for f in `ls ../content/posts/pt/*.md`; do ./postprocess.py $$f; done
+
+html: extract translate
 	cp ../tests/integration_tests/README.md content/pages/integration_tests.md
 	cp ../tests/unit_tests/README.md content/pages/unit_tests.md
 	mkdir -p output/ output/.well-known/
@@ -61,10 +64,13 @@ html: extract
 	$(ACTIVATE); python extract_comments.py
 	$(PELICAN) "$(INPUTDIR)" -o "$(OUTPUTDIR)" -s "$(CONFFILE)" $(PELICANOPTS)
 	# fix translated indexes to address a Pelican bug
-	cd content/pages; for lang in */; do mv ../../output/$$lang/$$lang/index.html ../../output/$$lang; rm -f ../../output/$$lang/$$lang/index.html; done
+	# cd content/pages; for lang in */; do mv ../../output/$$lang/$$lang/index.html ../../output/$$lang; rm -f ../../output/$$lang/$$lang/index.html; done
 
 clean:
 	[ ! -d "$(OUTPUTDIR)" ] || rm -rf "$(OUTPUTDIR)"
+	rm -fr content/pages/pt
+	rm -fr content/posts/pt
+	rm -fr content/wrappers/pt
 
 regenerate:
 	$(PELICAN) -r "$(INPUTDIR)" -o "$(OUTPUTDIR)" -s "$(CONFFILE)" $(PELICANOPTS)

